Page MenuHomePhabricator

Confirm deployment-ms-be03 and deployment-ms-be04 so they run on different labvirt
Closed, ResolvedPublic

Description

deployment-ms-be03 and deployment-ms-be04 (T162247) are the beta cluster Swift backend running Jessie.

Old instances running Trusty (be01 and be02) happened to be both scheduled on the same Compute node: labvirt1010.

This task is to confirm deployment-ms-be03 and deployment-ms-be04 are on different labvirt.

Event Timeline

hashar created this task.Mar 22 2017, 9:04 AM
bd808 moved this task from Triage to Backlog on the Cloud-Services board.Mar 26 2017, 8:06 PM
bd808 moved this task from Backlog to OpenStack on the Cloud-Services board.Mar 26 2017, 10:48 PM
hashar added a comment.May 2 2017, 7:17 PM

T162247 is creating new instances deployment-ms-be03 and deployment-ms-be04. Though I have no way to find out on which labvirt they are running.

hashar renamed this task from Rebalance deployment-ms-be01 and deployment-ms-be02 so they run on different labvirt to Confirm deployment-ms-be03 and deployment-ms-be04 so they run on different labvirt.May 2 2017, 7:18 PM
hashar updated the task description. (Show Details)

@hashar indeed it doesn't look like horizon exposes this information by default, I checked with nova and the two instances are scheduled on two different labvirt. I don't know how to keep this affinity though in case VMs are shuffled around

root@labcontrol1001:~# nova show cb8d2ca6-b03b-4cec-966e-553d1b9cc28e | grep name
| OS-EXT-SRV-ATTR:hypervisor_hostname  | labvirt1006.eqiad.wmnet                                  |
| OS-EXT-SRV-ATTR:instance_name        | i-00079b63                                               |
| key_name                             | -                                                        |
| name                                 | deployment-ms-be04                                       |
root@labcontrol1001:~# nova show 1a594b31-8c89-41de-99fe-8a191eefd6d6 | grep name
| OS-EXT-SRV-ATTR:hypervisor_hostname  | labvirt1001.eqiad.wmnet                                  |
| OS-EXT-SRV-ATTR:instance_name        | i-00079b04                                               |
| key_name                             | -                                                        |
| name                                 | deployment-ms-be03                                       |
root@labcontrol1001:~#
hashar closed this task as Resolved.May 3 2017, 1:09 PM
hashar claimed this task.

In theory one can create an anti-affinity group and associate the instances to it when creating them. That ensure each instances get on different hosts.

The reason I created this task was due to the high CPU usage Swft causes n the instance and I suspected it overloaded the underlying labvirt. It is probably fine. Thank you for the check!

chasemp added a subscriber: chasemp.May 3 2017, 1:17 PM

For posterity we have similar concepts in Tools land if you look at modules/openstack/files/spreadcheck.py